<template>
  <span @click.stop="edit()">编辑</span>
</template>

<script>
export default {
  name: 'Edit',
  data() {
    return {
    };
  },
  computed: {
  },
  props: ['fileData'],
  watch: {
  },
  methods: {
    edit() {
      window.sessionStorage.setItem('newMaterial', JSON.stringify(this.fileData));
      this.$router.push({
        path: '/upload_archives',
        query: {
          id: this.fileData.sat_sharematerialid
        }
      });
    }
  },
};
</script>

<style scoped>
</style>
